Subject: bug#77108: "guix pull: error: You found a bug"

From: Jacob K <[email-masked]>
Date: Fri, 11 Apr 2025 22:02:43 -0500

The issue only happened once.

My guess is that the error has something to do with a networking failure 
or possibly a problem with running out of RAM. At some point (before 
encountering this error) I think I installed a program to automatically 
kill programs when low on memory, and I see in htop now that `earlyoom 
-r 60` is running, but I'm not sure if that's the program I installed or 
if that comes default with Trisquel. I have 8GB of RAM with somewhere 
between 4GB and 16GB of swap RAM at the time of the error.

I like the proposal in the thread you linked to ([1]).

  - Jacob K

On 4/11/25 11:12, Simon Tournier wrote:
> Hi,
> 
> Thanks for your report.  Well, it’s hard to tell if the bug comes from
> something transient (network?) as the ones in [1] or if it is not.
> 
> On Tue, 18 Mar 2025 at 19:27, Jacob K via Bug reports for GNU Guix <[email-masked]> wrote:
> 
>> jacobk@jacobk-K55A:~$ guix pull
>> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>> Authenticating channel 'guix', commits 9edb3f6 to df799a6 (4 new commits)...
>> Building from this channel:
>>    guix      https://git.savannah.gnu.org/git/guix.git	df799a6
>> substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> building /gnu/store/f20in53sqrxchxi83hkav0aifs60w45v-compute-guix-derivation.drv...
>> Computing Guix derivation for 'x86_64-linux'... \Backtrace:
>>            14 (primitive-load "/gnu/store/9hvkk03lwg9qakwm2ilcs4ykqfd4dq3h-compute-guix-derivation")
>> In ice-9/eval.scm:
>>      155:9 13 (_ _)
>>      159:9 12 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
>> In ice-9/boot-9.scm:
>>      152:2 11 (with-fluid* _ _ _)
>>      152:2 10 (with-fluid* _ _ _)
>> In guix/store.scm:
>>    2212:24  9 (run-with-store #<store-connection 256.100 7fbab6edf0a0> #<procedure 7fbaa011be10 at guix/self.scm:136?> ?)
>>     2040:8  8 (_ #<store-connection 256.100 7fbab6edf0a0>)
>> In guix/gexp.scm:
>>     300:22  7 (_ #<store-connection 256.100 7fbab6edf0a0>)
>>     1228:2  6 (_ #<store-connection 256.100 7fbab6edf0a0>)
>>     1095:2  5 (_ #<store-connection 256.100 7fbab6edf0a0>)
>>      936:4  4 (_ #<store-connection 256.100 7fbab6edf0a0>)
>> In guix/store.scm:
>>    2097:12  3 (_ #<store-connection 256.100 7fbab6edf0a0>)
>>     1434:5  2 (map/accumulate-builds #<store-connection 256.100 7fbab6edf0a0> #<procedure 7fbaa61989c0 at guix/store?> ?)
>>    1450:15  1 (_ #<store-connection 256.100 7fbab6edf0a0> ("/gnu/store/3jld519qq13znrdmvg6ag2213mpbd396-guile-ava?" ?) ?)
>>    1450:15  0 (loop #f)
>>
>> guix/store.scm:1450:15: In procedure loop:
>> ERROR:
>>    1. &store-protocol-error:
>>        message: "`/gnu/store/adg25ykma1my2s7587qaaxchwg7hbir4-guix-command substitute' died unexpectedly"
>>        status: 1
>> guix pull: error: You found a bug: the program '/gnu/store/9hvkk03lwg9qakwm2ilcs4ykqfd4dq3h-compute-guix-derivation'
>> failed to compute the derivation for Guix (version: "df799a61ef73451e587cb81942c7bfcbbade9e7e"; system: "x86_64-linux";
>> host version: "4cc26df9583069a5b3e9a8b56049f76bed2138e6"; pull-version: 1).
>> Please report the COMPLETE output above by email to <[email-masked]>.
> 
> Well, I do not know where does the dead substitute message come from?
> 
> Do you have more information to share?  Or was it very transient and
> hard to reproduce?
> 
> 
> Cheers,
> simon
> 
> 
> 1: toward a plan? (was Re: Reducing "You found a bug" reports)
> Simon Tournier <[email-masked]>
> Tue, 10 Sep 2024 16:51:09 +0200
> id:[email-masked]
> https://lists.gnu.org/archive/html/guix-devel/2024-09
> https://yhetil.org/guix/[email-masked]

1: https://lists.gnu.org/archive/html/guix-devel/2024-09/msg00059.html